% This function calculates the least mean square line (y=k*x+m) fit to data (x,y)
function [k,m,err] = linefcn(x,y)

% We want to find a line on the form y=k*x+m

A = [x ones(length(x),1)];

c = A \ y;

k = c(1);
m = c(2);

y_new = k*x+m;

err = mean((y-y_new).*(y-y_new));